# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177754049968495/markdown-it-py-feedstock/recipe, last modified Thu Apr 30 09:15:30 2026
# ------------------------------------------------

package:
  name: markdown-it-py
  version: 4.0.0
source:
  - url: https://pypi.org/packages/source/m/markdown-it-py/markdown_it_py-4.0.0.tar.gz
    sha256: cb0a2b4aa34f932c007117b194e945bd74e0ec24133ceb5bac59009cda1cb9f3
  - url: https://github.com/executablebooks/markdown-it-py/archive/refs/tags/v4.0.0.tar.gz
    sha256: c562899de418498f223f0c48b3d462319a64493bd3b2758e1a76f11ad8f0ae15
    folder: gh
build:
  number: '2'
  entry_points:
    - markdown-it = markdown_it.cli.parse:main
  script: /home/task_177754049968495/croot/markdown-it-py_1777540556751/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_2
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - flit-core 3.12.0 py314hee27c6d_2
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.5 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pip 26.0.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - mdurl >=0.1,<0.2
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - commonmark >=0.9,<0.10
    - linkify-it-py >=1,<3
    - markdown >=3.4,<4
    - mdit-py-plugins >=0.5.0
    - mistletoe >=1.0,<2.0
    - mistune >=3.0,<4.0
    - panflute >=2.3,<2.4
    - sphinx-book-theme >=1,<2
test:
  source_files:
    - gh/tests
  requires:
    - linkify-it-py
    - pip
    - pytest
  imports:
    - markdown_it
    - markdown_it.cli
    - markdown_it.main
    - markdown_it.presets
    - markdown_it.renderer
    - markdown_it.rules_inline
    - markdown_it.token
    - markdown_it.tree
    - markdown_it.utils
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('markdown-it-py')=='4.0.0')"
    - pytest -k "not(test_commonmark_extras or test_table_tokens or test_file or test_use_existing_env
      or test_store_labels or test_inline_definitions or test_pretty or test_pretty_text_special)"
      -v gh/tests
    - markdown-it --help
about:
  home: https://github.com/executablebooks/markdown-it-py
  license: MIT
  license_family: MIT
  license_file: LICENSE
  description: 'Python port of markdown-it. Markdown parsing, done right!

    '
  summary: Python port of markdown-it. Markdown parsing, done right!
  doc_url: https://markdown-it-py.readthedocs.io
  dev_url: https://github.com/executablebooks/markdown-it-py
extra:
  recipe-maintainers:
    - choldgraf
    - dopplershift
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/markdown-it-py-feedstock
  sha: 419894e08d539f78a45474acfc42d17b73944e92
  task_id: YU51kSZ-T4eDYrb7snztzQ
  task_run_id: '0'
  pbp_graph_uuid: 4e406a0f-4eef-44be-ba23-44ebe1dd95a5
